Skip to main content
GET
ListTestSteps

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of test steps to return. The service may return fewer than this value. If unspecified, at most 50 test steps will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken
string

A page token, received from a previous ListTestSteps call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListTestSteps must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are test_step_id, test_report_id, parent_step_id, name, description, step_type, step_path, status, start_time, end_time, error_code, error_message, created_date, modified_date, and metadata. Metadata can be used in filters by using metadata.{metadata_key_name} as the field name. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved test steps. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are test_step_id, name, step_type, step_path, status, start_time, end_time, created_date, and modified_date. If left empty, items are ordered by step_path in ascending order. For more information about the format of this field, read this Example: "step_path asc,start_time desc"

Response

A successful response.

testSteps
The list of test steps · object[]
nextPageToken
string